local PATH = "Interface\\AddOns\\Riyukify\\"
local LSM = LibStub("LibSharedMedia-3.0")

-- Ding Sounds
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_1", [[Interface\Addons\Riyukify\Sounds\Ding1.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_2", [[Interface\Addons\Riyukify\Sounds\Ding2.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_3", [[Interface\Addons\Riyukify\Sounds\Ding3.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_4", [[Interface\Addons\Riyukify\Sounds\Ding4.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_5", [[Interface\Addons\Riyukify\Sounds\Ding5.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_6", [[Interface\Addons\Riyukify\Sounds\Ding6.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_7", [[Interface\Addons\Riyukify\Sounds\Ding7.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_8", [[Interface\Addons\Riyukify\Sounds\Ding8.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Ding_9", [[Interface\Addons\Riyukify\Sounds\Ding9.ogg]])

-- Pling Sounds
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_1", [[Interface\Addons\Riyukify\Sounds\Pling1.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_2", [[Interface\Addons\Riyukify\Sounds\Pling2.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_3", [[Interface\Addons\Riyukify\Sounds\Pling3.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_4", [[Interface\Addons\Riyukify\Sounds\Pling4.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_5", [[Interface\Addons\Riyukify\Sounds\Pling5.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Pling_6", [[Interface\Addons\Riyukify\Sounds\Pling6.ogg]])

-- MGS Sounds
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Alert", [[Interface\Addons\Riyukify\Sounds\mgsan.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Death", [[Interface\Addons\Riyukify\Sounds\mgsdeath.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Drop", [[Interface\Addons\Riyukify\Sounds\mgsdrop.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Mail", [[Interface\Addons\Riyukify\Sounds\mgsmail.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Open", [[Interface\Addons\Riyukify\Sounds\mgsopen.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r MGS Pickup", [[Interface\Addons\Riyukify\Sounds\mgspickup.mp3]])

-- Sound Effects
LSM:Register("sound", "|cff759EFFRiyukify:|r SFX 01", [[Interface\Addons\Riyukify\Sounds\SFX_01.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r SFX 02", [[Interface\Addons\Riyukify\Sounds\SFX_02.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r SFX 03", [[Interface\Addons\Riyukify\Sounds\SFX_03.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r SFX 04", [[Interface\Addons\Riyukify\Sounds\SFX_04.ogg]])


-- Whips
LSM:Register("sound", "|cff759EFFRiyukify:|r Whip 01", [[Interface\Addons\Riyukify\Sounds\whip_01.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Whip 02", [[Interface\Addons\Riyukify\Sounds\whip_02.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Whip 03", [[Interface\Addons\Riyukify\Sounds\whip_03.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Whip 04", [[Interface\Addons\Riyukify\Sounds\whip_04.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r Whip 05", [[Interface\Addons\Riyukify\Sounds\whip_05.mp3]])

-- Spells - General
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Capping", [[Interface\Addons\Riyukify\Sounds\capping.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Renew", [[Interface\Addons\Riyukify\Sounds\renew.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Aura", [[Interface\Addons\Riyukify\Sounds\aura.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Light", [[Interface\Addons\Riyukify\Sounds\light.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Heal", [[Interface\Addons\Riyukify\Sounds\heal.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Clearcast", [[Interface\Addons\Riyukify\Sounds\clearcast.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - You are next", [[Interface\Addons\Riyukify\Sounds\younext.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Your Turn", [[Interface\Addons\Riyukify\Sounds\yourturn.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Your Turn to CC", [[Interface\Addons\Riyukify\Sounds\yourturncc.mp3]])
-- Fun
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Tank Down", [[Interface\Addons\Riyukify\Sounds\die01.ogg]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffccccccVocal|r - Tank BRez", [[Interface\Addons\Riyukify\Sounds\life01.ogg]])

-- Spells - Druid
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Convoke", [[Interface\Addons\Riyukify\Sounds\convoke.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Innervate", [[Interface\Addons\Riyukify\Sounds\innervate.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Incarnation", [[Interface\Addons\Riyukify\Sounds\incarnation.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Moonfire", [[Interface\Addons\Riyukify\Sounds\moonfire.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Sunfire", [[Interface\Addons\Riyukify\Sounds\sunfire.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Regrowth", [[Interface\Addons\Riyukify\Sounds\regrowth.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Lifebloom", [[Interface\Addons\Riyukify\Sounds\lifebloom.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Starsurge", [[Interface\Addons\Riyukify\Sounds\starsurge.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Starfall", [[Interface\Addons\Riyukify\Sounds\starfall.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Fury of Elune", [[Interface\Addons\Riyukify\Sounds\fury.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffff7c0aVocal|r - Celestial Alignment", [[Interface\Addons\Riyukify\Sounds\celest.mp3]])


-- Spells - Paladin
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Awakening", [[Interface\Addons\Riyukify\Sounds\awake.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Hammer of Light", [[Interface\Addons\Riyukify\Sounds\hammer.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Eternal Flame", [[Interface\Addons\Riyukify\Sounds\flame.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Shock", [[Interface\Addons\Riyukify\Sounds\shock.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Prism", [[Interface\Addons\Riyukify\Sounds\prism.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Glory", [[Interface\Addons\Riyukify\Sounds\glory.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Dawn", [[Interface\Addons\Riyukify\Sounds\dawn.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Holy-Power", [[Interface\Addons\Riyukify\Sounds\holypower.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Holy", [[Interface\Addons\Riyukify\Sounds\holy.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cfff48cbaVocal|r - Power", [[Interface\Addons\Riyukify\Sounds\power.mp3]])

-- Spells - Monk
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Mist", [[Interface\Addons\Riyukify\Sounds\mist.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Cocoon", [[Interface\Addons\Riyukify\Sounds\cocoon.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Enveloping Mist", [[Interface\Addons\Riyukify\Sounds\enveloping.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Sheilun's", [[Interface\Addons\Riyukify\Sounds\sheiluns.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Sheilun's Gift", [[Interface\Addons\Riyukify\Sounds\sheilunsgift.mp3]])
LSM:Register("sound", "|cff759EFFRiyukify:|r |cff00FF98Vocal|r - Vivify", [[Interface\Addons\Riyukify\Sounds\vivify.mp3]])

-- Spells - Warrior
LSM:Register("sound", "|cff759EFFRiyukify:|r |cffC69B6DVocal|r - Bloodthirst", [[Interface\Addons\Riyukify\Sounds\blood.mp3]])


